export declare class AkordFileViewer {
  name: string;
  src: string;
  type: 'jpg' | 'jpeg' | 'gif' | 'bmp' | 'png' | 'pdf' | 'mp4' | 'video/mp4' | 'video/webm' | 'video/ogg' | 'video-stream' | 'mp3' | 'doc';
  zoomControlEnabled: boolean;
  width: number;
  height: number;
  darkMode: boolean;
  errorRef?: HTMLElement;
  /**
   * Container class name
   * {string}
   */
  containerClass: string;
  driverName: string;
  private printPopup;
  componentWillLoad(): void;
  getDriver(): "akord-docs-viewer" | "akord-pdf-viewer-spa" | "akord-image-viewer" | "akord-video-viewer" | "akord-video-stream-viewer";
  print(): Promise<void>;
  download(): Promise<void>;
  closePrint(): void;
  render(): any;
}
